SPECS: bidwatcher.spec, bigsister.spec, brltty.spec - formatting

ankry ankry at pld-linux.org
Sat Aug 12 10:41:44 CEST 2006


Author: ankry                        Date: Sat Aug 12 08:41:44 2006 GMT
Module: SPECS                         Tag: HEAD
---- Log message:
- formatting

---- Files affected:
SPECS:
   bidwatcher.spec (1.10 -> 1.11) , bigsister.spec (1.67 -> 1.68) , brltty.spec (1.8 -> 1.9) 

---- Diffs:

================================================================
Index: SPECS/bidwatcher.spec
diff -u SPECS/bidwatcher.spec:1.10 SPECS/bidwatcher.spec:1.11
--- SPECS/bidwatcher.spec:1.10	Wed May 11 21:46:15 2005
+++ SPECS/bidwatcher.spec	Sat Aug 12 10:41:39 2006
@@ -8,7 +8,7 @@
 Group:		X11/Applications
 Source0:	http://dl.sourceforge.net/bidwatcher/%{name}-%{version}.tar.gz
 # Source0-md5:	ea576cb86dcf36abe18436e0eba15a30
-URL:            http://bidwatcher.sourceforge.net/
+URL:		http://bidwatcher.sourceforge.net/
 BuildRequires:	gtk+-devel >= 1.2.10
 BuildRequires:	libstdc++-devel
 BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
@@ -51,6 +51,9 @@
 All persons listed below can be reached at <cvs_login>@pld-linux.org
 
 $Log$
+Revision 1.11  2006/08/12 08:41:39  ankry
+- formatting
+
 Revision 1.10  2005/05/11 19:46:15  darekr
 - cosmetics
 
@@ -80,4 +83,3 @@
 
 Revision 1.1  2003/07/14 16:30:33  misi3k
 - intial release
-

================================================================
Index: SPECS/bigsister.spec
diff -u SPECS/bigsister.spec:1.67 SPECS/bigsister.spec:1.68
--- SPECS/bigsister.spec:1.67	Mon Apr 17 17:12:48 2006
+++ SPECS/bigsister.spec	Sat Aug 12 10:41:39 2006
@@ -175,13 +175,13 @@
 	--with-url=/bigsis \
 	--with-crondir=/etc/cron.weekly
 
-#  --with-systype     the target system type (e.g. sunos, windows, linux, etc.)
-#  --with-speedy      the CGI accelerators (e.g. speedy) path
-#  --with-cgi         the CGI path we should use
-#  --with-group       the group that will own your installed files
-#  --with-url         the URL at which we will find the web pages
-#  --with-perlext             the file extension perl scripts (CGIs) should get
-#  --with-rpmdir              the RPM build area
+# --with-systype	the target system type (e.g. sunos, windows, linux, etc.)
+# --with-speedy		the CGI accelerators (e.g. speedy) path
+# --with-cgi		the CGI path we should use
+# --with-group		the group that will own your installed files
+# --with-url		the URL at which we will find the web pages
+# --with-perlext	the file extension perl scripts (CGIs) should get
+# --with-rpmdir		the RPM build area
 
 %{__make}
 
@@ -531,6 +531,9 @@
 All persons listed below can be reached at <cvs_login>@pld-linux.org
 
 $Log$
+Revision 1.68  2006/08/12 08:41:39  ankry
+- formatting
+
 Revision 1.67  2006/04/17 15:12:48  glen
 - updated -ac patch, rel 4
 

================================================================
Index: SPECS/brltty.spec
diff -u SPECS/brltty.spec:1.8 SPECS/brltty.spec:1.9
--- SPECS/brltty.spec:1.8	Wed May 17 00:57:11 2006
+++ SPECS/brltty.spec	Sat Aug 12 10:41:39 2006
@@ -144,8 +144,8 @@
 # Include it right within this scriptlet so that it needn't be installed.
 # Imbed it within a subshell to ensure that it won't impact this scriptlet.
 (
-   # First, set bp2cf's command line arguments.
-   set -- -u -f "${file}"
+	# First, set bp2cf's command line arguments.
+	set -- -u -f "${file}"
 
 #!/bin/sh
 ###############################################################################
@@ -173,17 +173,17 @@
 programName="${0##*/}"
 programMessage()
 {
-   echo 2>&1 "${programName}: ${1}"
+	echo 2>&1 "${programName}: ${1}"
 }
 syntaxError()
 {
-   programMessage "${1}"
-   exit 2
+	programMessage "${1}"
+	exit 2
 }
 internalError()
 {
-   programMessage "${1}"
-   exit 3
+	programMessage "${1}"
+	exit 3
 }
 
 configurationFile=""
@@ -193,17 +193,16 @@
 OPTIND=1
 while getopts ":f:cundop:h" option
 do
-   case "${option}"
-   in
-      f) configurationFile="${OPTARG}";;
-      c) requestedAction=create;;
-      u) requestedAction=update;;
-      n) deviceTranslation=none;;
-      d) deviceTranslation=devfs;;
-      o) deviceTranslation=old;;
-      p) requestedParameter="${OPTARG}";;
-      h)
-         cat <<EOF
+	case "${option}" in
+	    f) configurationFile="${OPTARG}";;
+	    c) requestedAction=create;;
+	    u) requestedAction=update;;
+	    n) deviceTranslation=none;;
+	    d) deviceTranslation=devfs;;
+	    o) deviceTranslation=old;;
+	    p) requestedParameter="${OPTARG}";;
+	    h)
+		cat <<EOF
 Usage: ${programName} [option ...]
 -f file  The configuration file to create/update.
 -c       Create the configuration file (write to stdout if no -f).
@@ -215,196 +214,180 @@
          Explicitly specify the boot parameter.
 -h       Display this usage summary.
 EOF
-         exit 0
-         ;;
-     \?) syntaxError "unknown option: -${OPTARG}";;
-      :) syntaxError "missing value: -${OPTARG}";;
-      *) internalError "unimplemented option: -${option}";;
-   esac
+		exit 0
+		;;
+	    \?) syntaxError "unknown option: -${OPTARG}";;
+	    :) syntaxError "missing value: -${OPTARG}";;
+	    *) internalError "unimplemented option: -${option}";;
+	esac
 done
 shift "`expr $OPTIND - 1`"
 [ "${#}" -eq 0 ] || syntaxError "too many parameters."
 
-case "${requestedAction}"
-in
-   create)
-      putConfigurationLine()
-      {
-         echo "${1}" || exit 4
-      }
-      startConfigurationFile()
-      {
-         [ -n "${configurationFile}" ] && exec >"${configurationFile}"
-         putConfigurationLine "`makeHeaderLine Created`"
-         putConfigurationLine "`makeParameterLine`"
-         putConfigurationLine ""
-      }
-      putConfigurationDirective()
-      {
-         putConfigurationLine "${1} ${2}"
-      }
-      finalizeConfigurationFile()
-      {
-         :
-      }
-      ;;
-   update)
-      putSedCommand()
-      {
-         sedScript="${sedScript}
+case "${requestedAction}" in
+    create)
+	putConfigurationLine()
+	{
+		echo "${1}" || exit 4
+	}
+	startConfigurationFile()
+	{
+		[ -n "${configurationFile}" ] && exec >"${configurationFile}"
+		putConfigurationLine "`makeHeaderLine Created`"
+		putConfigurationLine "`makeParameterLine`"
+		putConfigurationLine ""
+	}
+	putConfigurationDirective()
+	{
+		putConfigurationLine "${1} ${2}"
+	}
+	finalizeConfigurationFile()
+	{
+		:
+	}
+	;;
+    update)
+	putSedCommand()
+	{
+		sedScript="${sedScript}
 ${1}"
-      }
-      startConfigurationFile()
-      {
-         if [ -n "${configurationFile}" ]
-         then
-            [ -e "${configurationFile}" ] || syntaxError "file not found: ${configurationFile}"
-            [ -f "${configurationFile}" ] || syntaxError "not a file: ${configurationFile}"
-            [ -r "${configurationFile}" ] || syntaxError "file not readable: ${configurationFile}"
-            [ -w "${configurationFile}" ] || syntaxError "file not writable: ${configurationFile}"
-            outputFile="${configurationFile}.new"
-            exec <"${configurationFile}" >"${outputFile}"
-         fi
-         sedScript=""
-         putSedCommand "1i\\
+	}
+	startConfigurationFile()
+	{
+		if [ -n "${configurationFile}" ] then
+			[ -e "${configurationFile}" ] || syntaxError "file not found: ${configurationFile}"
+			[ -f "${configurationFile}" ] || syntaxError "not a file: ${configurationFile}"
+			[ -r "${configurationFile}" ] || syntaxError "file not readable: ${configurationFile}"
+			[ -w "${configurationFile}" ] || syntaxError "file not writable: ${configurationFile}"
+			outputFile="${configurationFile}.new"
+			exec <"${configurationFile}" >"${outputFile}"
+		fi
+		sedScript=""
+		putSedCommand "1i\\
 `makeHeaderLine Updated`\\
 `makeParameterLine`\\
 "
-      }
-      putConfigurationDirective()
-      {
-         value="`echo "${2}" | sed -e 's%\\([/\\]\\)%\\\\\\1%g'`"
-         putSedCommand "/^ *#\\(${1} .*\\)/s//\\1/"
-         putSedCommand "/^ *\\(${1}\\) .*/s//\\1 ${value}/"
-      }
-      finalizeConfigurationFile()
-      {
-         sed -e "${sedScript}"
-         [ -n "${outputFile}" ] && mv -f "${outputFile}" "${configurationFile}"
-      }
-      ;;
-   *) internalError "unimplemented action: ${requestedAction}";;
+	}
+	putConfigurationDirective()
+	{
+		value="`echo "${2}" | sed -e 's%\\([/\\]\\)%\\\\\\1%g'`"
+		putSedCommand "/^ *#\\(${1} .*\\)/s//\\1/"
+		putSedCommand "/^ *\\(${1}\\) .*/s//\\1 ${value}/"
+	}
+	finalizeConfigurationFile()
+	{
+		sed -e "${sedScript}"
+		[ -n "${outputFile}" ] && mv -f "${outputFile}" "${configurationFile}"
+	}
+	;;
+    *) internalError "unimplemented action: ${requestedAction}";;
 esac
 
 translateDevice_none()
 {
-   :
+	:
 }
 translateDevice_devfs()
 {
-   minor="${device#ttyS}"
-   if [ "${minor}" != "${device}" ]
-   then
-      device="tts/${minor}"
-      return 0
-   fi
-   minor="${device#lp}"
-   if [ "${minor}" != "${device}" ]
-   then
-      device="printers/${minor}"
-      return 0
-   fi
-   programMessage "unsupported old-style device: ${device}"
+	minor="${device#ttyS}"
+	if [ "${minor}" != "${device}" ] then
+		device="tts/${minor}"
+		return 0
+	fi
+	minor="${device#lp}"
+	if [ "${minor}" != "${device}" ] then
+		device="printers/${minor}"
+		return 0
+	fi
+	programMessage "unsupported old-style device: ${device}"
 }
 translateDevice_old()
 {
-   major="${device%%/*}"
-   if [ "${major}" != "${device}" ]
-   then
-      minor="${device#*/}"
-      case "${major}"
-      in
-         tts) devfs="ttyS${minor}";;
-         printers) devfs="lp${minor}";;
-      esac
-   fi
-   if [ -n "${devfs}" ]
-   then
-      device="${devfs}"
-   else
-      programMessage "unsupported devfs device: ${device}"
-   fi
+	major="${device%%/*}"
+	if [ "${major}" != "${device}" ] then
+		minor="${device#*/}"
+		case "${major}" in
+		    tts) devfs="ttyS${minor}";;
+		    printers) devfs="lp${minor}";;
+		esac
+	fi
+	if [ -n "${devfs}" ] then
+		device="${devfs}"
+	else
+		programMessage "unsupported devfs device: ${device}"
+	fi
 }
 
 makeHeaderLine()
 {
-   echo "# ${1} by brltty-bp2cf`date +' on %Y-%m-%d at %H:%M:%S %Z (UTC%z)'`."
+	echo "# ${1} by brltty-bp2cf`date +' on %Y-%m-%d at %H:%M:%S %Z (UTC%z)'`."
 }
 makeParameterLine()
 {
-   echo "# Boot Parameter:${bootParameter}"
+	echo "# Boot Parameter:${bootParameter}"
 }
 putConfigurationFile()
 {
-   startConfigurationFile
-   [ -n "${brailleDriver}" ] && putConfigurationDirective "braille-driver" "${brailleDriver}"
-   [ -n "${brailleDevice}" ] && {
-      device="`echo "${brailleDevice}" | sed -e 's%//*%/%g' -e 's%^/dev/%%'`"
-      if [ "${device#/}" = "${device}" ]
-      then
-         translateDevice_${deviceTranslation}
-      fi
-      putConfigurationDirective "braille-device" "${device}"
-   }
-   [ -n "${textTable}" ] && putConfigurationDirective "text-table" "${textTable}"
-   finalizeConfigurationFile
+	startConfigurationFile
+	[ -n "${brailleDriver}" ] && putConfigurationDirective "braille-driver" "${brailleDriver}"
+	[ -n "${brailleDevice}" ] && {
+	device="`echo "${brailleDevice}" | sed -e 's%//*%/%g' -e 's%^/dev/%%'`"
+	if [ "${device#/}" = "${device}" ] then
+		translateDevice_${deviceTranslation}
+	fi
+	putConfigurationDirective "braille-device" "${device}"
+	}
+	[ -n "${textTable}" ] && putConfigurationDirective "text-table" "${textTable}"
+	finalizeConfigurationFile
 }
 parseBootParameter()
 {
-   bootParameter="${bootParameter} ${1}"
-   number=1
-   while [ "${number}" -le 3 ]
-   do
-      cut="cut -d, -f${number}"
-      [ "${number}" -gt 1 ] && cut="${cut} -s"
-      operand="`echo ${1} | ${cut}`"
-      if [ -n "${operand}" ]
-      then
-         case "${number}"
-         in
-            1) brailleDriver="${operand}";;
-            2) brailleDevice="${operand}";;
-            3) textTable="${operand}";;
-         esac
-      fi
-      number="`expr ${number} + 1`"
-   done
+	bootParameter="${bootParameter} ${1}"
+	number=1
+	while [ "${number}" -le 3 ] do
+		cut="cut -d, -f${number}"
+		[ "${number}" -gt 1 ] && cut="${cut} -s"
+		operand="`echo ${1} | ${cut}`"
+		if [ -n "${operand}" ] then
+			case "${number}" in
+			    1) brailleDriver="${operand}";;
+			    2) brailleDevice="${operand}";;
+			    3) textTable="${operand}";;
+			esac
+		fi
+		number="`expr ${number} + 1`"
+	done
 }
 putBootParameter()
 {
-   parseBootParameter "${1}"
-   putConfigurationFile
+	parseBootParameter "${1}"
+	putConfigurationFile
 }
 parseBootCommand()
 {
-   found=false
-   while [ "${#}" -gt 0 ]
-   do
-      case "${1}"
-      in
-         "brltty="*)
-            found=true
-            parseBootParameter "${1#*=}"
-            ;;
-      esac
-      shift
-   done
-   "${found}" && putConfigurationFile
+	found=false
+	while [ "${#}" -gt 0 ] do
+		case "${1}" in
+		    "brltty="*)
+			found=true
+			parseBootParameter "${1#*=}"
+			;;
+		esac
+		shift
+	done
+	"${found}" && putConfigurationFile
 }
 
 brailleDriver=""
 brailleDevice=""
 textTable=""
 bootCommandFile="/proc/cmdline"
-if [ -n "${requestedParameter}" ]
-then
-   putBootParameter "${requestedParameter}"
-elif [ -f "${bootCommandFile}" ]
-then
-   parseBootCommand `cat "${bootCommandFile}"`
-elif [ -n "${brltty}" ]
-then
-   putBootParameter "${brltty}"
+if [ -n "${requestedParameter}" ] then
+	putBootParameter "${requestedParameter}"
+elif [ -f "${bootCommandFile}" ] then
+	parseBootCommand `cat "${bootCommandFile}"`
+elif [ -n "${brltty}" ] then
+	putBootParameter "${brltty}"
 fi
 exit 0
 )
@@ -448,6 +431,9 @@
 All persons listed below can be reached at <cvs_login>@pld-linux.org
 
 $Log$
+Revision 1.9  2006/08/12 08:41:39  ankry
+- formatting
+
 Revision 1.8  2006/05/16 22:57:11  qboosh
 - refresh ac/am (merged from AC-branch), strict internal deps, files cleanup
 
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SPECS/bidwatcher.spec?r1=1.10&r2=1.11&f=u
    http://cvs.pld-linux.org/SPECS/bigsister.spec?r1=1.67&r2=1.68&f=u
    http://cvs.pld-linux.org/SPECS/brltty.spec?r1=1.8&r2=1.9&f=u



More information about the pld-cvs-commit mailing list